using PlcSiemens.O;
using PlcSiemens.Protocol.Common;
using PlcSiemens.Protocol.Control;
using PlcSiemens.Protocol.DateTime;

namespace PlcSiemens.ProtocolHandle
{
    public class CompressHandle : IPacketHandle
    {
        public CompressRequest Request { get; set; }

        public ControlResponse Response { get; set; }

        public ResultCode ResultCode { get; set; }

        public CompressHandle()
        {
            Request = new CompressRequest();
        }

        public void Handle(IIsoSender sender)
        {
            Response = sender.IsoSend<CompressRequest, ControlResponse>(Request);

            if (Response == null) return;

            ResultCode = Response.Header.Error;
        }
    }
}
